/**
 * Capturing photo example.
 * Author: Camera Controller
 * Web: http://www.tequnique.com/cameracontroller
 * Description: This example shows how to change the camera mode and capture a photo.
 */

// Use the currently connected camera:
var connectResult = connectToCamera();
if (connectResult.ok) {
    var cameraName = connectResult.message;

    // Change the camera mode to 4 (which is photo mode on the GoPro Hero 4). The index
    // depends on the camera model.
    var result = changeCameraMode(cameraName, 4);
    if (!result.ok) {
        logMessage("Error changing camera mode to photo: " + result.message, true);
    }

    // Give the camera some time for changing the mode
    waitMilliseconds(500);

    // Log the current camera mode
    var cameraModeIndex = getCurrentCameraMode(cameraName);
    logMessage("The current camera mode is: " + cameraModeIndex);

    // Capture photo
    result = startRecording(cameraName);
    if (!result.ok) {
        logMessage("Error capturing photo: " + result.message, true);
    }
}
else logMessage("No camera found");

